# Aplicativos en C

Con frecuencia, no se codifica una herramienta desde cero sino que se una herramienta de código abierto existente.

En este ejemplo se muestra la configuración de una imagen Docker para usar una aplicación existente escrita en C.

```Dockerfile
# Primero seleccione una versión de sistema operativo base, en este caso Ubuntu en su versión 18.04

FROM ubuntu:18.04

# Instale los requerimientos de sistema operativo necesarios
RUN apt-get update
RUN apt-get install -y g++ build-essential wget zlib1g-dev

# Defina un directorio de trabajo

RUN mkdir /code
WORKDIR /code

# Inicie la descarga del programa
RUN wget http://catchenlab.life.illinois.edu/stacks/source/stacks-2.4.tar.gz
RUN tar xfvz stacks-2.4.tar.gz

# Cambie su dirección de trabajo para realizar la instalación
WORKDIR /code/stacks-2.4
RUN ./configure
RUN make
RUN make install

# Defina un volumen para compartir información desde su anfitrión hacia su contenedor
RUN mkdir /datos

VOLUME /datos

# Defina un punto de entrada para la aplicación
CMD ["bash"]
```

Para la construcción de este archivo ejecute un comando `compile_docker_image.sh`

```bash
bash compile_docker_image.sh
```

Y por último envíe la tarea usando

```bash
condor_submit condor.submit
```

